<template>
    <el-card class="box-card">
        <!--<el-form-item label="邮箱:">
            <el-input type="email" v-model="email" pattern="^\d*@tongji.edu.cn" />
        </el-form-item>
        <el-form-item label="验证码:">
            <el-input type="text" v-model="authcode" autocomplete="off" style="width:100px" required />
            <el-button id="authBtn" @click="sendCode" type="primary" style="position:relative;left:10px;width:90px;">
                发送验证码
            </el-button>
        </el-form-item>-->
        <el-form-item label="旧密码:">
            <el-input type="password" autocomplete="off" v-model="prePassword" required />
        </el-form-item>
        <el-form-item label="新密码:">
            <el-input type="password" autocomplete="off" v-model="newPassword" required />
        </el-form-item>
        <el-form-item>
            <el-button class="register" type="success" size="large" @click="modifyPwd">重置密码</el-button>

        </el-form-item>

    </el-card>
</template>

<script  scoped>
import global from './Common.vue'
import axios from 'axios'

export default {
    name: "bindCollege",
    data() {
        return {
            email: '',
            authcode: '',
            prePassword: '',
            newPassword: '',
            name: '',
            ip: global.ip,

        }
    },
    components: {

    },
    methods: {
        sendCode() {
            axios({
                method: 'POST',
                url: "http://" + this.ip + "/api/user/mailcode",
                data: {
                    name: this.name,
                    email: this.email
                }
                
            }).then(function (res) {
                alert("hello")
                alert(res.data.msg)
                console.log(res)
            })
        },
        modifyPwd() {
            let token = localStorage.getItem('token');
            if ( this.newPassword != "" && this.prePassword != "" ) {
                axios({
                    method: "POST",
                    url: "http://" + global.ip + "/api/user/modifypwd",
                    data: {
                        email: this.email,
                        prePassword: this.prePassword,
                        newPassword: this.newPassword,
                    },
                    headers: { 'Authorization': `Bearer: ${token}` }
                }).then((res) => {
                    alert(res.data.msg);
                    window.location.replace("http://" + global.ip_front + "/profile");
                })
            }
            else {
                alert('请填写上述信息！')
            }
        }
    }
}
</script>


<style scoped>
.box-card {
    position: relative;
    width: 75%;
    height: 80%;
    top: 70px;
    left: 200px;
    right: 500px;
    padding: 50px;
}
</style>